<div class="container-fluid">
  <div class="row" *ngFor="let option of options; let i = index">
    <div class="col-md-4 col-12 dp-flex flex-row mb-2">
      <div class="box-1 dp-flex center option-number">
        <span class="ft-tahoma-bold ft-18">{{ i + 1 }}</span>
      </div>

      <div class="box-3 dp-flex center option-box">
          <span class="ft-tahoma-bold ft-14">{{ option }}</span>
      </div>
    </div>

    <div class="col-md-8 col-12 dp-flex flex-row mb-2">
      <div class="box-3 dp-flex center answer">
        <span class="ft-14">{{ answers[i] }}</span>
      </div>
      <div class="box-12 answer-input-box" [class.correct]="checked && isCorrect(i)" [class.wrong]="checked && !isCorrect(i)">
        <input class="answer-input ft-tahoma-bold ft-18" type="text" maxlength="1" #input
               *ngIf="!checked" [ngModel]="userIds[i]" (ngModelChange)="onOptionChanged(input, $event, i)"/>
        <span class="answer-input ft-tahoma-bold ft-18" *ngIf="checked">{{ ids[i] }}</span>
      </div>
    </div>
  </div>
  <div class="row ">
    <div class="offset-md-10 col-md-2 col-12">
        <input class="button-1 ft-tahoma-bold check-button" type="button" value="CONFERIR"
               *ngIf="allChecked && !checked" (click)="check()" [@fadeAnimation]="'in'">
    </div>
  </div>
</div>